### Hierarchy

- Permissions

## Index

### Constructors

- constructor

### Properties

- fields
- EMPTY

## Constructors

### constructor

- new Permissions(fields?: Map<string, AccessRight>): Permissions

- - Defined in utils/keypair/Permissions.ts:5

  #### Parameters

  - ##### Default value fields: Map<string, AccessRight> = new Map()

  #### Returns Permissions

## Properties

### fields

fields: Map<string, AccessRight>

- Defined in utils/keypair/Permissions.ts:5

### Static EMPTY

EMPTY: Permissions = new Permissions(new Map())

- Defined in utils/keypair/Permissions.ts:3

Generated using TypeDoc